Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class PreloadStatus

    java.lang.Object
      com.sleepycat.je.PreloadStatus

All Implemented Interfaces:
  Serializable

    public class PreloadStatus

extends Object
implements Serializable

Describes the result of the `Database.preload` operation.

See Also:
  Serialized Form

Field Summary
`static PreloadStatus` | `EXCEEDED_TIME` `Database.preload` took more than maxMillisecs.
`static PreloadStatus` | `FILLED_CACHE` `Database.preload` filled maxBytes of the cache.
`static PreloadStatus` | `SUCCESS` `Database.preload` was successful.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUCCESS

    public static final PreloadStatus SUCCESS

  `Database.preload` was successful.

### FILLED_CACHE

    public static final PreloadStatus FILLED_CACHE

  `Database.preload` filled maxBytes of the cache.

### EXCEEDED_TIME

    public static final PreloadStatus EXCEEDED_TIME

  `Database.preload` took more than maxMillisecs.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.